CREATE TABLE gtg_di_aa_reject (
    ID                       NUMBER(18, 0) ,
    RUN_ID                   NUMBER(18, 0)     NOT NULL,
    AA_ID                    NUMBER(18, 0)     NOT NULL,
    DI_ROW_ID                NUMBER(18, 0)     NOT NULL,
    DI_ROW_TYPE              VARCHAR2(2048),
    SOURCE                   VARCHAR2(2048),
    TARGET                   VARCHAR2(2048),
    REASON                   VARCHAR2(2048),
    MESSAGE                  VARCHAR2(4000),
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ID                       NUMBER(18, 0) ,
    RUN_ID                   NUMBER(18, 0)     NOT NULL,
    AA_ID                    NUMBER(18, 0)     NOT NULL,
    DI_ROW_ID                NUMBER(18, 0)     NOT NULL,
    DI_ROW_TYPE              VARCHAR2(2048),
    SOURCE                   VARCHAR2(2048),
    TARGET                   VARCHAR2(2048),
    REASON                   VARCHAR2(2048),
    MESSAGE                  VARCHAR2(4000),
    DATASOURCE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_gtg_di_aa_reject PRIMARY KEY (ID, ID)
);
